AppointmentChangeEvent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.client
Class AppointmentChangeEvent

    java.lang.Object
      org.openswing.swing.gantt.client.AppointmentChangeEvent

public class AppointmentChangeEvent
extends java.lang.Object

Title: OpenSwing Framework

Description: Appointment change event: new appointment, appointment changed/deleted.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static int` | `APPOINTMENT_CHANGED` appointment changed event type
`static int` | `APPOINTMENT_DELETED` appointment deleted event type
`static int` | `NEW_APPOINTMENT` new appointment event type

Constructor Summary
`AppointmentChangeEvent(int eventType, int rowNumber, Appointment oldappointment, Appointment newappointment, GanttControl source)` Constructor.
`AppointmentChangeEvent(int eventType, int rowNumber, Appointment appointment, GanttControl source)` Constructor.

Method Summary
`int` | `getEventType()`
`Appointment` | `getNewAppointment()`
`Appointment` | `getOldAppointment()`
`int` | `getRowNumber()`
`GanttControl` | `getSource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_APPOINTMENT

    public static final int NEW_APPOINTMENT

  new appointment event type

  See Also:
    Constant Field Values

### APPOINTMENT_CHANGED

    public static final int APPOINTMENT_CHANGED

  appointment changed event type

  See Also:
    Constant Field Values

### APPOINTMENT_DELETED

    public static final int APPOINTMENT_DELETED

  appointment deleted event type

  See Also:
    Constant Field Values

Constructor Detail

### AppointmentChangeEvent

    public AppointmentChangeEvent(int eventType,
                                  int rowNumber,
                                  Appointment appointment,
                                  GanttControl source)

  Constructor.

Parameters:
  `eventType` - type of event; possible values: NEW_APPOINTMENT,APPOINTMENT_CHANGED,APPOINTMENT_DELETED
  `rowNumber` - row number in the GanttControl
  `appointment` - Appointment that fires the event
  `source` - GanttControl that contains the Appointment that fires the event

### AppointmentChangeEvent

    public AppointmentChangeEvent(int eventType,
                                  int rowNumber,
                                  Appointment oldappointment,
                                  Appointment newappointment,
                                  GanttControl source)

  Constructor.

Parameters:
  `eventType` - type of event; possible values: NEW_APPOINTMENT,APPOINTMENT_CHANGED,APPOINTMENT_DELETED
  `rowNumber` - row number in the GanttControl
  `oldappointment` - Appointment that fires the event (old values)
  `newappointment` - Appointment that fires the event (new values)
  `source` - GanttControl that contains the Appointment that fires the event

Method Detail

### getOldAppointment

    public final Appointment getOldAppointment()

  Returns:
    old Appointment that fires the event

### getNewAppointment

    public final Appointment getNewAppointment()

  Returns:
    new Appointment that fires the event

### getEventType

    public final int getEventType()

  Returns:
    type of event; possible values: NEW_APPOINTMENT,APPOINTMENT_CHANGED,APPOINTMENT_DELETED

### getRowNumber

    public final int getRowNumber()

  Returns:
    row number in the GanttControl

### getSource

    public final GanttControl getSource()

  Returns:
    GanttControl that contains the Appointment that fires the event

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD